<?php

namespace Drupal\edit_form_warn\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "warnleave" plugin.
 *
 * @CKEditorPlugin(
 *   id = "warnleave",
 *   label = @Translation("Warn Before Leave"),
 *   module = "ckeditor"
 * )
 */
class WarnLeave extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return drupal_get_path('module', 'edit_form_warn') . '/js/ckeditor-warn.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [
      'WarnTest' => [
        'label' => $this->t('Warn Before Leaving'),
        'image' => drupal_get_path('module', 'edit_form_warn') . '/icons/exclamation-triangle.svg',
      ],
    ];
  }

}
